@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,100;1,200;1,300;1,400;1,500;1,600;1,700&family=Roboto:wght@100&display=swap");
@keyframes sweep {
  from {
    opacity: 0;
    bottom: -6em;
  }
  to {
    opacity: 1;
    bottom: 6em;
  }
}

.whats-btn {
  z-index: 10;
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  bottom: 1em;
  right: 1em;
  width: 70px;
  height: 70px;
  border-radius: 50px 50px 50px 50px;
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.233);
  background-color: #04DD33;
  transition: .5s ease-in-out;
}

.whats-btn:hover {
  background-color: #24c347;
}

#whats-conversa {
  z-index: 3;
  animation: sweep .5s ease-in-out;
  display: none;
  height: 650px;
  width: 350px;
  position: fixed;
  background: url("../img/whats-bkgrnd.png");
  background-position: center;
  background-repeat: repeat;
  border-radius: 15px;
  bottom: 6em;
  right: 2em;
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.123);
  overflow: hidden;
}

#whats-conversa .whats-conversa-header {
  display: flex;
  align-items: center;
  color: white;
  justify-content: center;
  width: 100%;
  height: 50px;
  background-color: #00d32e;
  text-align: center;
}

#whats-conversa .whats-conversa-canais {
  display: flex;
  width: 90%;
  justify-content: center;
  align-items: center;
  height: 90%;
  gap: 35px;
  flex-direction: column;
  margin: auto;
}

#whats-conversa .whats-conversa-canais .whats-canais-item {
  display: flex;
  position: relative;
  flex-direction: column;
  text-align: center;
  justify-content: space-evenly;
  align-items: center;
  background-color: white;
  width: 100%;
  height: 100px;
  border-radius: 15px;
  color: #04DD33;
  font-size: 14px;
  box-shadow: 0px 4px 9px rgba(0, 0, 0, 0.123);
}

#whats-conversa .whats-conversa-canais .whats-canais-item span img {
  position: absolute;
  top: 0;
  bottom: 0;
  margin-bottom: auto;
  margin-top: auto;
  left: 30px;
}

#whats-conversa .whats-conversa-canais .whats-canais-item span h2 {
  font-weight: 500;
}

#whats-conversa .whats-conversa-canais .whats-item-btn {
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

#whats-conversa .whats-conversa-canais .whats-item-btn button {
  background-color: #04DD33;
  width: 100%;
  padding: 2px;
  border-radius: 25px 25px 25px 25px;
  border: none;
}

#whats-conversa .whats-conversa-canais .whats-item-btn button a {
  color: white;
}

@media (max-width: 550px) {
  #whats-conversa {
    right: 0;
    left: 0;
    margin-left: auto;
    margin-right: auto;
  }
}

@media (max-width: 360px) {
  #whats-conversa {
    width: 90%;
    max-height: 95vh;
    top: 1em;
    overflow: scroll;
  }
}

.no-scroll {
  height: auto;
  position: fixed;
  width: 100vw;
}

#modal_cliente {
  height: 150px;
  width: 250px;
  background: #e4e4e4;
  display: flex;
}

#modal_cliente .modal-btn_container {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

#modal_cliente .modal-btn_container button {
  width: 100%;
  height: 30px;
  border: none;
  background: #04DD33;
  transition: 0.5s ease-in-out;
  border-radius: 15px;
}

#modal_cliente .modal-btn_container button:hover {
  background: #0bf03d;
}

#modal_cliente .modal-btn_container button a {
  color: white;
}

#modal_imob {
  height: 150px;
  width: 250px;
  background: #e4e4e4;
  display: flex;
}

#modal_imob .modal-btn_container {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

#modal_imob .modal-btn_container button {
  width: 100%;
  height: 30px;
  border: none;
  background: #04DD33;
  transition: 0.5s ease-in-out;
  border-radius: 15px;
}

#modal_imob .modal-btn_container button:hover {
  background: #0bf03d;
}

#modal_imob .modal-btn_container button a {
  color: white;
}

#btn-cli-mob, #btn-imob-mob {
  cursor: pointer;
}

#btn-cli-mob ul, #btn-imob-mob ul {
  width: 100%;
  height: 200px;
  list-style: none;
  background-color: #04DD33;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
}

#btn-cli-mob ul li, #btn-imob-mob ul li {
  padding-bottom: 0;
}

#btn-cli-mob ul li a, #btn-imob-mob ul li a {
  font-size: 20px;
  color: #e4e4e4;
}

#btn-cli-mob details, #btn-imob-mob details {
  text-align: center;
  width: 100%;
}

#btn-cli-mob summary, #btn-imob-mob summary {
  color: #04DD33;
  list-style: none;
  width: 100%;
}

#btn-cli-mob details[open] summary ~ *, #btn-imob-mob details[open] summary ~ * {
  animation: sweep 0.5s ease-in-out;
}

@keyframes sweep {
  from {
    opacity: 0;
    margin-top: -10px;
  }
  to {
    opacity: 1;
    margin-top: 0px;
  }
}

@keyframes dropdown-imob-nav {
  from {
    height: 0;
  }
  to {
    height: 116.5px;
  }
}

@keyframes menuList {
  from {
    height: 0;
  }
  to {
    height: 100vh;
  }
}

@keyframes dropdown-cli-nav {
  from {
    height: 0;
  }
  to {
    height: 95.5px;
  }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins";
}

header {
  display: flex;
  justify-content: center;
}

a {
  text-decoration: none;
  color: #454545;
  font-weight: 500;
}

.fiadorMenuMobile {
  display: none;
}

.fiadorMenu {
  position: relative;
  top: 1.5em;
  border-radius: 50px;
  width: 1000px;
  font-size: 16px;
  z-index: 5;
  background: white;
}

.fiadorMenu ul {
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 0.5em;
  height: 70px;
}

.fiadorMenu ul li {
  text-align: center;
  padding-left: 15px;
  padding-right: 15px;
  height: auto;
  display: flex;
  justify-content: space-evenly;
}

.fiadorMenu ul .logo {
  position: relative;
}

.fiadorMenu ul button {
  background-color: #04DD33;
  border: none;
  position: relative;
  width: 100px;
  height: 30px;
  border-radius: 25px;
}

.fiadorMenu ul button a {
  color: white;
  font-size: 16px;
}

.fiadorMenu ul button p {
  bottom: 5px;
  left: 25px;
  position: absolute;
  color: white;
  font-size: 14px;
}

.fiadorMenu ul button .nav_drop_imob {
  bottom: 5px;
  left: 15px;
  position: absolute;
  color: white;
  font-size: 14px;
}

.fiadorMenu ul .dropContainer {
  position: relative;
}

.fiadorMenu ul .dropDown_cliente {
  display: none;
}

.fiadorMenu ul .dropdownShow_cliente {
  display: block;
  overflow: hidden;
  animation-name: dropdown-cli-nav;
  animation-duration: 0.5s;
  animation-timing-function: ease-out;
  position: relative;
  top: 50px;
  right: 10px;
  z-index: 0;
  height: 95.5px;
  width: 120px;
  background: #04DD33;
  border-radius: 0px 0px 30px 30px;
}

.fiadorMenu ul .dropdownShow_cliente ul {
  color: white;
  font-size: 14px;
  position: relative;
  top: 15px;
  list-style: none;
  display: flex;
  flex-direction: column;
}

.fiadorMenu ul .dropdownShow_cliente li {
  position: relative;
  padding-bottom: 15px;
}

.fiadorMenu ul .dropDown_imob {
  display: none;
}

.fiadorMenu ul .dropdownShow_imob {
  animation-name: dropdown-imob-nav;
  animation-duration: 0.5s;
  animation-timing-function: ease-in-out;
  overflow: hidden;
  display: block;
  top: 50px;
  right: 15px;
  position: relative;
  height: 116.5px;
  width: 126px;
  background: #04DD33;
  border-radius: 0px 0px 30px 30px;
}

.fiadorMenu ul .dropdownShow_imob ul {
  color: white;
  font-size: 14px;
  position: relative;
  top: 21px;
  list-style: none;
  display: flex;
  flex-direction: column;
}

.fiadorMenu ul .dropdownShow_imob li {
  position: relative;
  padding-bottom: 10px;
}

.fiadorMenu ul .dropdownShow_imob a {
  width: 83px;
  font-size: 14px;
}

footer {
  background-color: #454545;
  color: white;
}

footer .logoMobileFooter, footer .socialMidiaMobile {
  display: none;
}

footer .fiadorMenuFooter {
  position: relative;
  top: 1em;
  margin-bottom: 3em;
}

footer .fiadorMenuFooter ul {
  list-style: none;
  display: flex;
  justify-content: space-evenly;
  max-width: 1000px;
  margin: auto;
  border-radius: 50px;
}

footer .fiadorMenuFooter ul a {
  color: white;
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 21px;
}

footer .fiadorMenuFooter ul .cliente_footer, footer .fiadorMenuFooter ul .imob_footer {
  cursor: pointer;
  width: 100px;
  height: 30px;
  border: 1px solid #FFFFFF;
  border-radius: 15px;
  position: relative;
  z-index: 2;
  color: white;
  background: none;
  transition: 0.2s ease-in-out;
}

footer .fiadorMenuFooter ul .cliente_footer:hover, footer .fiadorMenuFooter ul .imob_footer:hover {
  background: #04DD33;
  border: none;
  color: white;
}

footer .dadosContatoContainer {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  max-width: 1000px;
  margin: auto;
}

footer .dadosContatoContainer ul {
  margin: auto;
  list-style: none;
  width: 200px;
}

footer .dadosContatoContainer h4 {
  font-size: 18px;
  padding-bottom: 3px;
}

footer .dadosContatoContainer .socialMidia ul {
  gap: 15px;
  display: flex;
}

footer .dadosContatoContainer .socialMidia a {
  cursor: pointer;
}

footer .copy_footer {
  display: flex;
  justify-content: space-between;
  max-width: 1000px;
  margin: auto;
  padding-top: 35px;
  padding-bottom: 10px;
}

footer .copy_footer p {
  color: white;
}

@media (max-width: 845px) {
  footer .socialMidiaMobile {
    display: block;
  }
  footer .logoMobileFooter {
    display: block;
    display: flex;
    justify-content: center;
  }
  header > .fiadorMenu {
    display: none;
  }
  .fiadorMenuMobile {
    display: block;
    position: absolute;
    z-index: 3;
    height: auto;
    width: 100%;
  }
  .fiadorMenuMobile .menutop {
    overflow: hidden;
    background: white;
    border-radius: 50px;
    position: relative;
    top: 1.5em;
    z-index: 4;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    gap: 70px;
    align-items: center;
    width: 95%;
    margin: auto;
    height: 60px;
  }
  .fiadorMenuMobile .menuListHid {
    display: none;
  }
  .fiadorMenuMobile .menuList {
    display: block;
    overflow: hidden;
    animation-name: menuList;
    animation-duration: 0.7s;
    animation-timing-function: linear;
    position: absolute;
    width: 100%;
    z-index: 3;
    background-color: #fcf8f8df;
    backdrop-filter: blur(5px);
    border-radius: 0px;
    height: 100vh;
  }
  .fiadorMenuMobile .menuList li {
    font-family: Poppins;
    font-size: 20px;
    font-weight: 500;
    line-height: 36px;
    letter-spacing: 0em;
    padding-bottom: 2em;
  }
  .fiadorMenuMobile .menuListItems {
    margin-top: 8.5em;
  }
  .fiadorMenuMobile .menuListItems button {
    width: 171px;
    height: 45px;
    font-size: 24px;
    background-color: none;
    background: none;
    border: 2px solid #04DD33;
    color: #04DD33;
    border-radius: 18px;
  }
  .fiadorMenuMobile ul {
    display: flex;
    flex-direction: column;
    list-style: none;
  }
  .fiadorMenuMobile li {
    display: flex;
    justify-content: center;
  }
  .fiadorMenuFooter ul {
    flex-direction: column;
    justify-content: center;
    text-align: center;
  }
  .fiadorMenuFooter ul li {
    margin-bottom: 1em;
  }
  .fiadorMenuFooter ul li button {
    background: #04DD33;
    border: none;
  }
  .fiadorMenuFooter ul .logo {
    display: none;
  }
  .socialMidiaMobile {
    text-align: center;
  }
  .socialMidiaMobile ul {
    position: relative;
    bottom: 10px;
    gap: 5px;
    list-style: none;
    display: flex;
    justify-content: center;
    flex-direction: row;
    margin-bottom: 40px;
  }
  .dadosContatoContainer {
    flex-direction: column;
    text-align: center;
  }
  .dadosContatoContainer div {
    margin-bottom: 2em;
  }
  .dadosContatoContainer .socialMidia {
    display: none;
  }
  .dadosContatoContainer .socialMidia ul {
    width: 100%;
    justify-content: center;
  }
  .copy_footer {
    flex-direction: column;
    text-align: center;
  }
  .copy_footer p {
    font-size: 10px;
    line-height: 15px;
    color: #8d8d8d;
  }
  .logoMobileFooter {
    display: flex;
    justify-content: center;
  }
}

@media (max-height: 590px) {
  .fiadorMenuMobile .menuListHid {
    margin-bottom: 5em;
  }
  .fiadorMenuMobile .menuListHid .menuListItems li {
    font-size: 20px;
    padding-bottom: 10px;
  }
  .fiadorMenuMobile .menuListHid .menuListItems button {
    font-size: 20px;
  }
}
